Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tags
Class ScrollableModelTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.beasys.commerce.ebusiness.tags.ScrollableModelTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class ScrollableModelTag
extends TagSupport

This tag helps with the navigation of a scrollable model by outputting a "Previous | 20-29 | Next" text with the proper hyperlinks based on the attributes of the tag.
Those attributes are:

1. origin: the page from which this tag originates, for use by the WebFlow engine
2. event: the event from a WebFlow engine view
3. prevString: the JSP entered "Previous" in the language of choice
4. nextString: the JSP entered "Next" in the language of choice
5. pageIndex: the index of the page in the scrollable model one views.

The ScrollableModel is obtained from the pipeline session directly.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ScrollableModelTag()`

Method Summary
`int` | `doStartTag()` The tag body: It first extracts the scrollable model using the pipeline session.
`String` | `getEvent()`
`HttpSession` | `getHttpSession()` Get the Cached HttpSession.
`String` | `getId()` Get the value of id.
`String` | `getNextstring()`
`String` | `getOrigin()` Get the value of origin.
`String` | `getPageindex()`
`com.bea.p13n.appflow.common.PipelineSession` | `getPipelineSession()` Get the Cached PipelineSession.
`String` | `getPrevstring()`
`void` | `initialize()` Get the current HttpSession and piplineSession.
`void` | `release()` Release this tag.
`void` | `setEvent(String e)`
`void` | `setId(String id)` Set the value of id.
`void` | `setNextstring(String nextString)`
`void` | `setOrigin(String s)` Set the value of origin.
`void` | `setPageindex(String pageIndex)`
`void` | `setPrevstring(String prevString)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableModelTag

    public ScrollableModelTag()

Method Detail

### release

    public void release()

  Release this tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### getHttpSession

    public HttpSession getHttpSession()

  Get the Cached HttpSession. It is initialized using the initialize method which is invoked in the doStartTag().

### getPipelineSession

    public com.bea.p13n.appflow.common.PipelineSession getPipelineSession()

  Get the Cached PipelineSession. It is initialized using the initialize method which is invoked in the doStartTag()

### initialize

    public void initialize()

  Get the current HttpSession and piplineSession.

### doStartTag

    public int doStartTag()
                   throws JspException

  The tag body:
  It first extracts the scrollable model using the pipeline session. It then decides to show the Next and Previous hyperlinks. It uses the origin/event of the JSP page to create the hyperlinks.
  It finally uses the default JspWriter to output the Previous / 5-9 / Next tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### getId

    public String getId()

  Get the value of id.

  Overrides:
    `getId` in class `TagSupport`

### setId

    public void setId(String id)

  Set the value of id.

  Overrides:
    `setId` in class `TagSupport`

### getOrigin

    public String getOrigin()

  Get the value of origin.

### setOrigin

    public void setOrigin(String s)

  Set the value of origin.

### getEvent

    public String getEvent()

### setEvent

    public void setEvent(String e)

### getPageindex

    public String getPageindex()

### setPageindex

    public void setPageindex(String pageIndex)

### setPrevstring

    public void setPrevstring(String prevString)

### getPrevstring

    public String getPrevstring()

### setNextstring

    public void setNextstring(String nextString)

### getNextstring

    public String getNextstring()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved